## org.eclipse.xsd
Enum XSDAttributeUseCategory

    java.lang.Object
      java.lang.Enum<XSDAttributeUseCategory>
          org.eclipse.xsd.XSDAttributeUseCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDAttributeUseCategory>, Enumerator

    public enum XSDAttributeUseCategory

extends java.lang.Enum<XSDAttributeUseCategory>
implements Enumerator

A representation of the literals of the enumeration 'Attribute Use Category'.

See Also:
  `XSDAttributeUse.getUse()`, `XSDPackage.getXSDAttributeUseCategory()`

Enum Constant Summary
`OPTIONAL_LITERAL` The 'Optional' literal object
`PROHIBITED_LITERAL` The 'Prohibited' literal object
`REQUIRED_LITERAL` The 'Required' literal object

Field Summary
`static int` `OPTIONAL` The 'Optional' literal value
`static int` `PROHIBITED` The 'Prohibited' literal value
`static int` `REQUIRED` The 'Required' literal value
`static java.util.List<XSDAttributeUseCategory>` `VALUES` A public read-only list of all the 'Attribute Use Category' enumerators

Method Summary
`static XSDAttributeUseCategory` `get(int value)` Returns the 'Attribute Use Category' literal with the specified integer value
`static XSDAttributeUseCategory` `get(java.lang.String literal)` Returns the 'Attribute Use Category' literal with the specified literal value
`static XSDAttributeUseCategory` `getByName(java.lang.String name)` Returns the 'Attribute Use Category' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDAttributeUseCategory` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDAttributeUseCategory[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPTIONAL_LITERAL

    public static final XSDAttributeUseCategory OPTIONAL_LITERAL

  The 'Optional' literal object.

  See Also:
    `OPTIONAL`

### PROHIBITED_LITERAL

    public static final XSDAttributeUseCategory PROHIBITED_LITERAL

  The 'Prohibited' literal object.

  See Also:
    `PROHIBITED`

### REQUIRED_LITERAL

    public static final XSDAttributeUseCategory REQUIRED_LITERAL

  The 'Required' literal object.

  See Also:
    `REQUIRED`

Field Detail

### OPTIONAL

    public static final int OPTIONAL

  The 'Optional' literal value.

  This is used to indicate that an attribute use may appear.

  See Also:
    `OPTIONAL_LITERAL`, Constant Field Values

### PROHIBITED

    public static final int PROHIBITED

  The 'Prohibited' literal value.

  This is used to indicate that an attribute use must not appear; it acts to hide attribute uses that may have been inherited.

  See Also:
    `PROHIBITED_LITERAL`, Constant Field Values

### REQUIRED

    public static final int REQUIRED

  The 'Required' literal value.

  This is used to indicate that an attribute use must appear.

  See Also:
    `REQUIRED_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDAttributeUseCategory> VALUES

  A public read-only list of all the 'Attribute Use Category' enumerators.

Method Detail

### values

    public static final XSDAttributeUseCategory[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDAttributeUseCategory c : XSDAttributeUseCategory.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDAttributeUseCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDAttributeUseCategory get(java.lang.String literal)

  Returns the 'Attribute Use Category' literal with the specified literal value.

### getByName

    public static XSDAttributeUseCategory getByName(java.lang.String name)

  Returns the 'Attribute Use Category' literal with the specified name.

### get

    public static XSDAttributeUseCategory get(int value)

  Returns the 'Attribute Use Category' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDAttributeUseCategory>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.